Subject: Re: git archive -o something.tar.zst but file info just says "POSIX tar archive"

From: SZEDER Gábor <[email-masked]>
Date: Sun, 10 Oct 2021 13:40:25 +0200

On Sun, Oct 10, 2021 at 06:19:53PM +0700, Bagas Sanjaya wrote:
> I noticed the following (possible bug?) when I tried to create zstd tar
> archive (.tar.zst) with `git archive`.

> $ git archive -o /tmp/something1.tar.zst --prefix=something/ HEAD
> ```
> 
> But that archive info (with `file`) was something different:
> 
> ```
> (outside the repo, on /tmp)
> $ file something1.tar.zst
> something1.tar.zst: POSIX tar archive
> ```
> 
> I expected that `something1.tar.zst` was proper zstd tar archive, and not
> plain archive like above.

  $ git archive -h |grep -e ' -l'
      -l, --list            list supported archive formats
  $ git archive -l
  tar
  tgz
  tar.gz
  zip

Does it list zstd among the supported formats on your machine?